# Proteger DNI para envío

Script Bash para enviar/compartir el DNI por medios electrónicos de forma segura. 

* Crea bloque ocultando zonas de información. 
* Escribe texto sobre la imagen. 
* Genera resultado en "tonos grises". 
* Utiliza `convert` (parte del programa ImageMagick para transformar imagenes). 
* Usa `zenity` para pedir datos.

![](cabecera-dni.png)

## Paquetes necesarios

Instalar `convert` y `zenity`

```
sudo apt update
sudo apt -y upgrade

sudo apt -y install imagemagick zenity
```

## Uso protección completa

Simplemente desde la consola "invoca" al script:

```
./protege-dni.sh
```

## Uso con 'Marca de agua'

Simplemente desde la consola ejecuta el script:

```
./protege-dni-MarcaAgua.sh
```

En ambos casos saldrá asistente para seleccionar cada cara del DNI a proteger

![](imagenes/seleccione-anverso.png)

![](imagenes/seleccione-reverso.png)

El resultado dependiendo del script usado será:

![](DNI_v3-anverso-protegido.jpg)

![](DNI_v3-anverso-MarcaAgua.jpg)

